#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(NULL);
    cin.tie(NULL);
    short int n,i=-1;
    unsigned int l,h;
    cin>>n>>l;
    for(i=0;i<n;i++){
        cin>>h;
        if(h<=l)break;
    }
    if(i==n)i=-2;
    cout<<i+1;
    return 0;
}